import { ref } from "vue";

export function useParams() {
  //查询参数
  const basicParams = ref<Record<string, any>>({});

  function changeBasicParams(newParams: any = {}) {
    basicParams.value = newParams;
  }

  function getBasicParams() {
    return basicParams.value;
  }

  return {
    changeBasicParams,
    getBasicParams
  };
}
